chiark / gitweb /
- build.sh now copies just the startup scripts, and not any editor turds.
authorBill Bumgarner <bbum@mac.com>
Sat, 10 Mar 2012 19:25:11 +0000 (03:25 +0800)
committerdaid <daid303@gmail.com>
Mon, 12 Mar 2012 20:19:01 +0000 (04:19 +0800)
- startup scripts on Mac OS X are marked executable

- startup scripts now make sure that PyOpenGL is installed

build.sh
scripts/osx64/pronterface.sh [changed mode: 0644->0755]
scripts/osx64/skeinpypy.sh [new file with mode: 0755]

index 51a08c63621ea1572c43f354c1448dd3521c8dab..d3e1acd4653e349f1c6e41de5ed3f7d4d4d0cdb8 100755 (executable)
--- a/build.sh
+++ b/build.sh
@@ -138,7 +138,11 @@ cp -a SkeinPyPy_NewUI ${TARGET_DIR}/SkeinPyPy
 mv Printrun ${TARGET_DIR}/Printrun
 
 #add script files
-cp -a scripts/${BUILD_TARGET}/* $TARGET_DIR/
+if [ $BUILD_TARGET = "win32" ]; then
+    cp -a scripts/${BUILD_TARGET}/*.bat $TARGET_DIR/
+else
+    cp -a scripts/${BUILD_TARGET}/*.sh $TARGET_DIR/
+fi
 
 #add readme file
 cp README ${TARGET_DIR}/README.txt
old mode 100644 (file)
new mode 100755 (executable)
diff --git a/scripts/osx64/skeinpypy.sh b/scripts/osx64/skeinpypy.sh
new file mode 100755 (executable)
index 0000000..736b301
--- /dev/null
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+python2.7 -c 'import OpenGL'
+if [ $? != 0 ]; then
+       echo "Requires PyOpenGL"
+       echo " sudo easy_install-2.7 PyOpenGL"
+       exit 1
+fi
+
+python2.7 -c 'import wx'
+if [ $? != 0 ]; then
+       echo "Requires wx. Download and install (the Cocoa/64-bit variant) from:"
+       echo " http://www.wxpython.org/download.php"
+       exit 1
+fi
+
+python2.7 -c 'import serial'
+if [ $? != 0 ]; then
+       echo "Requires pyserial."
+       echo " sudo easy_install-2.7 pyserial"
+       exit 1
+fi
+
+SCRIPT_DIR=`dirname $0`
+python2.7 ${SCRIPT_DIR}/SkeinPyPy/skeinpypy.py
+